Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

im in the process of creating the company 'model' client machine, its based on windows 7. and i was wondering if i need to install the updades to all the versions of .net framework installed, or i could just upgrade to .net 4.5 and install only the updates for this version?. in other words.. do i really really need to install updates for legacy frameworks?..or the .net 4.5 include the security updates for those old framework?.

Thanks..and sorry if torturate the english.. ;)

share|improve this question

1 Answer 1

Short Answer

Yes

Verbose Answer

Typically security updates represent important or critical updates from Microsoft that fix holes in current code (in this case .NET) that expose the client machine to potential attack.

Installing those updates is always recommended after testing them against your business software. You always want to try to minimize the attack surface area as much as possible and installing .NET updates, regardless of version is usually a very smart thing to do.

In addition, some 4.5 updates may not install properly if the underlying framework is not at the current version.

share|improve this answer
    
Yes I too believe that.But my doubt's comes after observing the Windows Update behavior.in my tests,I’ve installed .Net 4.5, after that run windows update and it only shows me updates for .net 4.5.Even when those updates are available for.Net 3.5. IE:the KB2737083, a quick view to this security bulleting reveals updates for .Net 3.5,.Net 4.0,and .Net 4.5. Seems like after installing .net 4.5, the Windows Update client himself doesn’t bother to install updates for previous versions. But I’m not sure if my appreciation is true, maybe there’s some Microsoft document’s that explain this? –  LuisferV3 Jan 31 '13 at 16:38

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.